Status: Closed Start date: 27 Mar 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: CoCoA-4 function to be added Estimated time: 2.77 hours

Target version: CoCoA-5.1.2 summer 2015 Spent time: 2.95 hours

Description

I have just added the approx pts preprocessing fns to CoCoA-5.

This issue is about deciding the most appropriate interface; right now it is just what was easiest for me to impl.

Points and tolerances are specified as matrices (automatically guarantees that all coords are in the same ring, and that the point all

have the same number of coords -- do need to check that points and tolerances are compatible).  Result is as a list of lists currently;

shoudl this be a matrix too?

Each point is represented as a row in the matrix.

Opinions?

Related issues:

Related to CoCoA-5 - Feature #175: Approximate BuchbergerMoeller: port to CoC... In Progress 01 Jun 2012

History

#1 - 13 Jun 2013 15:33 - Anna Maria Bigatti

- Category set to CoCoA-4 function to be added

- Assignee set to John Abbott

#2 - 14 Jun 2013 09:49 - Anna Maria Bigatti

- Status changed from New to Resolved

- % Done changed from 0 to 50

#3 - 02 Apr 2014 17:33 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#4 - 04 Apr 2014 16:26 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#5 - 14 May 2014 09:06 - Anna Maria Bigatti

Manual for PreprocessPts is wrong.  I had a look, but I don't know how to fix it.

(syntax talks about LIST, but should be MAT;  examples give error incompatible dimension)

#6 - 14 May 2014 15:36 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 50 to 90

- Estimated time set to 2.00 h

I have corrected the spurious error -- forgot to invert a condition when changing an assert into if (check) CoCoA_ERROR(...).  Also cleaned the arg

checking code -- now a separate routine which each fn calls (rather than repeated copies of the code).

I have updated the C5 manual; at some point in the past I had already made the design decision to represent sets of points as matrices (one row per

point).  This automatically guarantees coherence of ring and number of coords.
Moving to feedback.

#7 - 11 May 2015 14:19 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.1.2 summer 2015

#8 - 29 Jul 2015 21:41 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 2.00 h to 2.77 h

Closing after 1 year in feedback (without any problems).
